/**
 * DevExtreme (esm/__internal/ui/list/m_list.edit.decorator_menu_helper.js)
 * Version: 23.2.7 (build 24217-0111)
 * Build date: Sun Aug 04 2024
 *
 * Copyright (c) 2012 - 2024 Developer Express Inc. ALL RIGHTS RESERVED
 * Read about DevExtreme licensing here: https://js.devexpress.com/Licensing/
 */
var EditDecoratorMenuHelperMixin = {
    _menuEnabled() {
        return !!this._menuItems().length
    },
    _menuItems() {
        return this._list.option("menuItems")
    },
    _deleteEnabled() {
        return this._list.option("allowItemDeleting")
    },
    _fireMenuAction($itemElement, action) {
        this._list._itemEventHandlerByHandler($itemElement, action, {}, {
            excludeValidators: ["disabled", "readOnly"]
        })
    }
};
export default EditDecoratorMenuHelperMixin;
